Index: /trunk/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- /trunk/src/lib/graphics/effects/volfog_effect.cc	(revision 8494)
+++ /trunk/src/lib/graphics/effects/volfog_effect.cc	(revision 8495)
@@ -1,14 +1,14 @@
 /*
-	orxonox - the future of 3D-vertical-scrollers
+  orxonox - the future of 3D-vertical-scrollers
 
-	Copyright (C) 2004 orx
+  Copyright (C) 2004 orx
 
-	This program is free software; you can redistribute it and/or modify
-	it under the terms of the GNU General Public License as published by
-	the Free Software Foundation; either version 2, or (at your option)
-	any later version.
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2, or (at your option)
+  any later version.
 
 ### File Specific:
-	main-programmer: hdavid, amaechler
+  main-programmer: hdavid, amaechler
 */
 
@@ -21,4 +21,6 @@
 #include "state.h"
 
+#include "glincl.h"
+//#include "shell_command.h"
 
 #define GLX_GLXEXT_PROTOTYPES
@@ -49,96 +51,78 @@
 CREATE_FACTORY(VolFogEffect, CL_VOLFOG_EFFECT);
 
-VolFogEffect::VolFogEffect(const TiXmlElement* root)
-{
-	this->setClassID(CL_VOLFOG_EFFECT, "VolFogEffect");
+VolFogEffect::VolFogEffect(const TiXmlElement* root) {
+    this->setClassID(CL_VOLFOG_EFFECT, "VolFogEffect");
 
-	if (root != NULL)
-		this->loadParams(root);
+    if (root != NULL)
+        this->loadParams(root);
 
-	// Initialize Effect
-	this->init();
+    // Initialize Effect
+    this->init();
 
-	// Activate Effect
-	this->activate();
+    // Activate Effect
+    this->activate();
 }
 
 
-VolFogEffect::~VolFogEffect()
-{
-	this->deactivate();
+VolFogEffect::~VolFogEffect() {
+    this->deactivate();
 }
 
-void VolFogEffect::loadParams(const TiXmlElement* root)
-{
-	WeatherEffect::loadParams(root);
+void VolFogEffect::loadParams(const TiXmlElement* root) {
+    WeatherEffect::loadParams(root);
 }
 
-bool VolFogEffect::init()
-{
-	PRINTF(0)("Initalize VolFogEffect\n");
+void VolFogEffect::init() {
+    PRINTF(0)("Initalize VolFogEffect\n");
 
-	// set fog mode
-	GLenum fogMode  = GL_EXP;
+    // set fog mode
+    GLenum fogMode  = GL_EXP;
 
-	// set fog density
-	float  fogDensity  = 0.001f;
+    // set fog density
+    float  fogDensity  = 0.001f;
 
-	// set fog near & far distance
-	float fogStart = 0.0f;
-	float fogEnd   = 1000.0f;
+    // set fog near & far distance
+    float fogStart = 0.0f;
+    float fogEnd   = 1000.0f;
 
-	// Set fog color
-	float fogColor[4] = {0.6f,0.58f,0.79f,0.0f};
+    // Set fog color
+    float fogColor[4] = {0.6f,0.58f,0.79f,0.0f};
 
 
-	glFogCoordfEXT       = (PFNGLFOGCOORDFEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfEXT");
-	glFogCoordfvEXT      = (PFNGLFOGCOORDFVEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfvEXT");
-	glFogCoorddEXT       = (PFNGLFOGCOORDDEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoorddEXT");
-	glFogCoorddvEXT      = (PFNGLFOGCOORDDVEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoorddvEXT");
-	glFogCoordPointerEXT = (PFNGLFOGCOORDPOINTEREXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordPointerEXT");
+    glFogCoordfEXT       = (PFNGLFOGCOORDFEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfEXT");
+    glFogCoordfvEXT      = (PFNGLFOGCOORDFVEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfvEXT");
+    glFogCoorddEXT       = (PFNGLFOGCOORDDEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoorddEXT");
+    glFogCoorddvEXT      = (PFNGLFOGCOORDDVEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoorddvEXT");
+    glFogCoordPointerEXT = (PFNGLFOGCOORDPOINTEREXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordPointerEXT");
 
-	// set the fog attributes
-	glFogf (GL_FOG_START,  fogStart);
-	glFogf (GL_FOG_END,    fogEnd);
-	glFogfv(GL_FOG_COLOR,  fogColor);
-	glFogi (GL_FOG_MODE,   fogMode);
-	glFogf (GL_FOG_DENSITY,fogDensity);
-	glFogi (GL_FOG_COORDINATE_SOURCE_EXT,GL_FOG_COORDINATE_EXT);
+    // set the fog attributes
+    glFogf (GL_FOG_START,  fogStart);
+    glFogf (GL_FOG_END,    fogEnd);
+    glFogfv(GL_FOG_COLOR,  fogColor);
+    glFogi (GL_FOG_MODE,   fogMode);
+    glFogf (GL_FOG_DENSITY,fogDensity);
+    glFogi (GL_FOG_COORDINATE_SOURCE_EXT,GL_FOG_COORDINATE_EXT);
 
-	// enable the fog
-	glEnable(GL_FOG);
+    // enable the fog
+    glEnable(GL_FOG);
 
-	if (glewInit() == GLEW_OK)
-		PRINTF(0)("glewInit OK\n");
-	else
-		PRINTF(0)("glewInit failed\n");
+    if (glewInit() == GLEW_OK)
+        PRINTF(0)("glewInit OK\n");
+    else
+        PRINTF(0)("glewInit failed\n");
 
-	if (glewGetExtension("GL_EXT_fog_coord"))
-	{
-		PRINTF(0)("GL_EXT_fog_coord extension found\n");
-		return true;
-	}
-	else
-	{
-		PRINTF(0)("GL_EXT_fog_coord extension NOT found\n");
-		return false;
-	}
+    if (glewGetExtension("GL_EXT_fog_coord"))
+        PRINTF(0)("GL_EXT_fog_coord extension found\n");
 }
 
 
-bool VolFogEffect::activate()
-{
-	PRINTF(0)("Activating VolFogEffect\n");
-
-        return true;
+void VolFogEffect::activate() {
+    PRINTF(0)("Activating VolFogEffect\n");
 }
 
-bool VolFogEffect::deactivate()
-{
-	PRINTF(0)("Deactivating VolFogEffect\n");
+void VolFogEffect::deactivate() {
+    PRINTF(0)("Deactivating VolFogEffect\n");
 
-	glDisable(GL_FOG);
-
-        return true;
+    glDisable(GL_FOG);
 }
 
@@ -147,62 +131,60 @@
 * draws the effect, if needed
 */
-void VolFogEffect::draw() const
-{
-  glPushAttrib(GL_ENABLE_BIT);
-  glClearColor(fogColor[0],fogColor[1],fogColor[2],0.0f);
-	glShadeModel(GL_SMOOTH);
-	glEnable(GL_DEPTH_TEST);
-	glEnable(GL_CULL_FACE);
-	glCullFace(GL_BACK);
+void VolFogEffect::draw() const {
+    glPushAttrib(GL_ENABLE_BIT);
+    glClearColor(fogColor[0],fogColor[1],fogColor[2],0.0f);
+    glShadeModel(GL_SMOOTH);
+    glEnable(GL_DEPTH_TEST);
+    glEnable(GL_CULL_FACE);
+    glCullFace(GL_BACK);
 
-	/* clear all pixels in colour buffer */
-	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+    /* clear all pixels in colour buffer */
+    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
 
-	/* Enable blending */
-	//glEnable(GL_BLEND);
-	//glBlendFunc(GL_SRC_ALPHA, GL_DST_ALPHA);
+    /* Enable blending */
+    //glEnable(GL_BLEND);
+    //glBlendFunc(GL_SRC_ALPHA, GL_DST_ALPHA);
 
-	int i;
-	glLoadIdentity();
+    int i;
+    glLoadIdentity();
 
 
-	glBegin( GL_LINES );
-		glNormal3f(0,1,0);
-		for(i=-20;i<=20;i+=2)
-		{
-			float fog_c;
-			float diff[3];
+    glBegin( GL_LINES );
+    glNormal3f(0,1,0);
+    for(i=-20;i<=20;i+=2) {
+        float fog_c;
+        float diff[3];
 
-			diff[0] = State::getCameraNode()->getAbsCoor().x - i;
-			diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
-			diff[1] = State::getCameraNode()->getAbsCoor().y;
-			fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
-			glFogCoordfEXT(fog_c*2);
-			glVertex3f(i,0,-20);
+        diff[0] = State::getCameraNode()->getAbsCoor().x - i;
+        diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
+        diff[1] = State::getCameraNode()->getAbsCoor().y;
+        fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
+        glFogCoordfEXT(fog_c*2);
+        glVertex3f(i,0,-20);
 
-			diff[0] = State::getCameraNode()->getAbsCoor().x - i;
-			diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
-			diff[1] = State::getCameraNode()->getAbsCoor().y;
-			fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
-			glFogCoordfEXT(fog_c*2);
-			glVertex3f(i,0,20);
+        diff[0] = State::getCameraNode()->getAbsCoor().x - i;
+        diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
+        diff[1] = State::getCameraNode()->getAbsCoor().y;
+        fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
+        glFogCoordfEXT(fog_c*2);
+        glVertex3f(i,0,20);
 
-			diff[0] = State::getCameraNode()->getAbsCoor().x - i;
-			diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
-			diff[1] = State::getCameraNode()->getAbsCoor().y;
-			fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
-			glFogCoordfEXT(fog_c*2);
-			glVertex3f(-20,0,i);
+        diff[0] = State::getCameraNode()->getAbsCoor().x - i;
+        diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
+        diff[1] = State::getCameraNode()->getAbsCoor().y;
+        fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
+        glFogCoordfEXT(fog_c*2);
+        glVertex3f(-20,0,i);
 
-			diff[0] = State::getCameraNode()->getAbsCoor().x - i;
-			diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
-			diff[1] = State::getCameraNode()->getAbsCoor().y;
-			fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
-			glFogCoordfEXT(fog_c*2);
-			glVertex3f(20,0,i);
-		}
-	glEnd();
+        diff[0] = State::getCameraNode()->getAbsCoor().x - i;
+        diff[2] = State::getCameraNode()->getAbsCoor().z + 20;
+        diff[1] = State::getCameraNode()->getAbsCoor().y;
+        fog_c = 1.3f*sqrt(diff[0]*diff[0]+diff[1]*diff[1]+diff[2]*diff[2]);
+        glFogCoordfEXT(fog_c*2);
+        glVertex3f(20,0,i);
+    }
+    glEnd();
 
-  glPopAttrib();
+    glPopAttrib();
 
 }
@@ -212,5 +194,3 @@
 * ticks the effect if there is any time dependancy
 */
-void VolFogEffect::tick(float dt)
-{
-}
+void VolFogEffect::tick(float dt) {}
Index: /trunk/src/lib/graphics/effects/volfog_effect.h
===================================================================
--- /trunk/src/lib/graphics/effects/volfog_effect.h	(revision 8494)
+++ /trunk/src/lib/graphics/effects/volfog_effect.h	(revision 8495)
@@ -11,22 +11,21 @@
 #include "glincl.h"
 
-class VolFogEffect : public WeatherEffect
-{
-	public:
-		VolFogEffect(const TiXmlElement* root = NULL);
-		virtual ~VolFogEffect();
+class VolFogEffect : public WeatherEffect {
+public:
+    VolFogEffect(const TiXmlElement* root = NULL);
+    virtual ~VolFogEffect();
 
-		virtual void loadParams(const TiXmlElement* root);
+    virtual void loadParams(const TiXmlElement* root);
 
-		virtual bool init();
+    virtual void init();
 
-		virtual bool activate();
-		virtual bool deactivate();
+    virtual void activate();
+    virtual void deactivate();
 
-		virtual void draw() const;
-		virtual void tick(float dt);
+    virtual void draw() const;
+    virtual void tick(float dt);
 
-	private:
-		GLfloat fogColor[4];
+private:
+    GLfloat fogColor[4];
 
 };
Index: /trunk/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- /trunk/src/lib/graphics/effects/weather_effect.cc	(revision 8494)
+++ /trunk/src/lib/graphics/effects/weather_effect.cc	(revision 8495)
@@ -55,7 +55,6 @@
  *  initializes the graphics effect
  */
-bool WeatherEffect::init()
+void WeatherEffect::init()
 {
-  return true;
 }
 
Index: /trunk/src/lib/graphics/effects/weather_effect.h
===================================================================
--- /trunk/src/lib/graphics/effects/weather_effect.h	(revision 8494)
+++ /trunk/src/lib/graphics/effects/weather_effect.h	(revision 8495)
@@ -1,5 +1,5 @@
 /*!
  * @file weather_effect.h
- *  
+ *
  */
 
@@ -18,13 +18,13 @@
     virtual void loadParams(const TiXmlElement* root);
 
-    virtual bool init();
+    virtual void init();
 
-    virtual bool activate() = 0;
-    virtual bool deactivate() = 0;
+    virtual void activate() = 0;
+    virtual void deactivate() = 0;
 
     virtual void draw() const;
     virtual void tick(float dt);
 
-    inline bool isActivated() const { return this->bActivated; }
+    inline  bool isActivated() const { return this->bActivated; }
 
 
Index: /trunk/src/lib/gui/qt/gui_control.cc
===================================================================
--- /trunk/src/lib/gui/qt/gui_control.cc	(revision 8494)
+++ /trunk/src/lib/gui/qt/gui_control.cc	(revision 8495)
@@ -286,4 +286,7 @@
         return -1;
     }
+
+    return 0;
+
   }
 
Index: /trunk/src/lib/sound/sound_source.cc
===================================================================
--- /trunk/src/lib/sound/sound_source.cc	(revision 8494)
+++ /trunk/src/lib/sound/sound_source.cc	(revision 8495)
@@ -1,15 +1,15 @@
 /*
-	orxonox - the future of 3D-vertical-scrollers
-
-	Copyright (C) 2004 orx
-
-	This program is free software; you can redistribute it and/or modify
-	it under the terms of the GNU General Public License as published by
-	the Free Software Foundation; either version 2, or (at your option)
-	any later version.
-
-	### File Specific:
-	main-programmer: Benjamin Grauer
-	co-programmer: ...
+  orxonox - the future of 3D-vertical-scrollers
+ 
+  Copyright (C) 2004 orx
+ 
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2, or (at your option)
+  any later version.
+ 
+  ### File Specific:
+  main-programmer: Benjamin Grauer
+  co-programmer: ...
 */
 
@@ -85,5 +85,4 @@
     else
       this->stop();
-    return *this;
   }
 
@@ -190,73 +189,36 @@
       SoundEngine::checkError("Play Source", __LINE__);
   }
-
-
-  /**
-  * @brief Plays and loops back a SoundSource
-  */
-  void SoundSource::loop()
-  {
-    if (this->buffer && this->retrieveSource())
-    {
-      if (this->bPlay)
-        alSourceStop(this->sourceID);
-
+  
+   /**
+   * @brief Plays back buffer on this Source with gain and looping possibility
+   * @param buffer the buffer to play back on this Source
+    */
+  void SoundSource::play(const SoundBuffer* buffer, float gain, bool loop)
+  {
+    if (!this->retrieveSource())
+    {
+      PRINTF(3)("No more Free sources (You might consider raising the Source-Count).\n");
+      return;
+    }
+
+    alSourceStop(this->sourceID);
+    alSourcei (this->sourceID, AL_BUFFER, buffer->getID());
+    
+    if (loop)
+        alSourcei (this->sourceID, AL_LOOPING,  AL_TRUE);
+    else
+        alSourcei (this->sourceID, AL_LOOPING,  AL_FALSE);
+    
+    alSourcef (this->sourceID, AL_GAIN, gain);
+
+    alSourcePlay(this->sourceID);
+
+    if (unlikely(this->buffer != NULL))
       alSourcei (this->sourceID, AL_BUFFER, this->buffer->getID());
-      alSourcei (this->sourceID, AL_LOOPING,  AL_TRUE);
-      alSourcef (this->sourceID, AL_GAIN, 1);
-      alSourcePlay(this->sourceID);
-
-      if (DEBUG_LEVEL >= 3)
-        SoundEngine::checkError("Play Source", __LINE__);
-      this->bPlay = true;
-    }
-  }
-
-  /**
-  * @brief Plays and loops buffer on this Source
-  * @param buffer the buffer to play back on this Source
-  */
-  void SoundSource::loop(const SoundBuffer* buffer)
-  {
-    if (this->buffer && this->retrieveSource())
-    {
-      if (this->bPlay)
-        alSourceStop(this->sourceID);
-
-      alSourcei (this->sourceID, AL_BUFFER, this->buffer->getID());
-      alSourcei (this->sourceID, AL_LOOPING,  AL_TRUE);
-      alSourcef (this->sourceID, AL_GAIN, 1);
-
-      alSourcePlay(this->sourceID);
-
-      if (DEBUG_LEVEL >= 3)
-        SoundEngine::checkError("Loop Source", __LINE__);
-      this->bPlay = true;
-    }
-  }
-
-
-  /**
-  * @brief Plays and loops buffer on this Source with gain control
-  * @param buffer the buffer to play back on this Source
-  */
-  void SoundSource::loop(const SoundBuffer* buffer, float gain)
-  {
-    if (this->buffer && this->retrieveSource())
-    {
-      if (this->bPlay)
-        alSourceStop(this->sourceID);
-
-      alSourcei (this->sourceID, AL_BUFFER, this->buffer->getID());
-      alSourcei (this->sourceID, AL_LOOPING,  AL_TRUE);
-      alSourcef (this->sourceID, AL_GAIN, gain);
-
-      alSourcePlay(this->sourceID);
-
-      if (DEBUG_LEVEL >= 3)
-        SoundEngine::checkError("Loop Source", __LINE__);
-      this->bPlay = true;
-    }
-  }
+    this->bPlay = true;
+
+    if (DEBUG_LEVEL >= 3)
+      SoundEngine::checkError("Play Source", __LINE__);
+  } 
 
 
@@ -381,9 +343,9 @@
     }
 
-    //	alSourcePlay(this->sourceID);
-
-    //	if (DEBUG_LEVEL >= 3)
-    //		SoundEngine::checkError("Loop Source", __LINE__);
-    //	this->bPlay = true;
+    //  alSourcePlay(this->sourceID);
+
+    //  if (DEBUG_LEVEL >= 3)
+    //    SoundEngine::checkError("Loop Source", __LINE__);
+    //  this->bPlay = true;
     //}
 
Index: /trunk/src/lib/sound/sound_source.h
===================================================================
--- /trunk/src/lib/sound/sound_source.h	(revision 8494)
+++ /trunk/src/lib/sound/sound_source.h	(revision 8495)
@@ -30,7 +30,6 @@
 			void play(const SoundBuffer* buffer);
 			void play(const SoundBuffer* buffer, float gain);
-			void loop();
-			void loop(const SoundBuffer* buffer);
-			void loop(const SoundBuffer* buffer, float gain);
+      void play(const SoundBuffer* buffer, float gain, bool loop);   
+
 			void stop();
 			void pause();
Index: /trunk/src/subprojects/benchmark.cc
===================================================================
--- /trunk/src/subprojects/benchmark.cc	(revision 8494)
+++ /trunk/src/subprojects/benchmark.cc	(revision 8495)
@@ -455,9 +455,7 @@
         }
       printf("\n");
-
-
-
     }
 
+    return 0;
 }
 
Index: /trunk/src/util/kill_target.cc
===================================================================
--- /trunk/src/util/kill_target.cc	(revision 8494)
+++ /trunk/src/util/kill_target.cc	(revision 8495)
@@ -31,10 +31,9 @@
 */
 KillTarget::KillTarget (const TiXmlElement* root)
-  : MissionGoal(root)
-{
-  this->setClassID(CL_KILL_TARGET, "KillTarget");
+        : MissionGoal(root) {
+    this->setClassID(CL_KILL_TARGET, "KillTarget");
 
-  if( root != NULL)
-    this->loadParams(root);
+    if( root != NULL)
+        this->loadParams(root);
 }
 
@@ -43,28 +42,18 @@
  * standard deconstructor
 */
-KillTarget::~KillTarget ()
-{
-
+KillTarget::~KillTarget () {
 }
 
 
-void KillTarget::loadParams(const TiXmlElement* root)
-{
-  MissionGoal::loadParams(root);
+void KillTarget::loadParams(const TiXmlElement* root) {
+    MissionGoal::loadParams(root);
 
-  LoadParam(root, "numberofkills", this, KillTarget, setNumberOfKills)
-       .describe("sets the number of kills a target has to be killed");
-  LoadParam(root, "targetclassid", this, KillTarget, setTargetClassID)
-      .describe("sets the targets class id");
+    LoadParam(root, "numberofkills", this, KillTarget, setNumberOfKills)
+    .describe("sets the number of kills a target has to be killed");
+    LoadParam(root, "targetclassid", this, KillTarget, setTargetClassID)
+    .describe("sets the targets class id");
 }
 
 
-MissionState KillTarget::checkMissionGoal(float dt)
-{
+MissionState KillTarget::checkMissionGoal(float dt) {}
 
-}
-
-
-
-
-
Index: /trunk/src/world_entities/effects/billboard.cc
===================================================================
--- /trunk/src/world_entities/effects/billboard.cc	(revision 8494)
+++ /trunk/src/world_entities/effects/billboard.cc	(revision 8495)
@@ -121,4 +121,8 @@
     return;
 
+  glPushAttrib(GL_ENABLE_BIT);
+  glDisable(GL_LIGHTING);
+  glDisable(GL_FOG);
+  
   glPushMatrix();
 
@@ -164,3 +168,5 @@
   
   glPopMatrix();
+  
+  glPopAttrib();
 }
Index: /trunk/src/world_entities/space_ships/helicopter.cc
===================================================================
--- /trunk/src/world_entities/space_ships/helicopter.cc	(revision 8494)
+++ /trunk/src/world_entities/space_ships/helicopter.cc	(revision 8495)
@@ -107,5 +107,5 @@
   if (this->chopperBuffer != NULL)
     ResourceManager::getInstance()->unload(this->chopperBuffer);
-  this->chopperBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/chopper.wav", WAV);
+  this->chopperBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/engine/chopper.wav", WAV);
 
 }
@@ -219,6 +219,5 @@
   State::getCameraTargetNode()->setParentSoft(this->getWeaponManager().getFixedTarget());
 
-  this->soundSource.loop(this->chopperBuffer, 0.8f);
-  // PRINTF(0)( "Playing ChopperSound\n" );
+  this->soundSource.play(this->chopperBuffer, 0.7f, true);
 }
 
